# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import api_views

urlpatterns = [
    url(r'^register/$', api_views.register, name='a2-api-register'),
    url(r'^password-change/$', api_views.password_change, name='a2-api-password-change'),
    url(r'^user/$', api_views.user, name='a2-api-user'),
    url(r'^roles/(?P<role_uuid>[\w+]*)/members/(?P<member_uuid>[^/]+)/$', api_views.role_membership,
        name='a2-api-role-member'),
    url(r'^roles/(?P<role_uuid>[\w+]*)/relationships/members/$', api_views.role_memberships,
        name='a2-api-role-members'),
    url(r'^check-password/$', api_views.check_password, name='a2-api-check-password'),
    url(r'^validate-password/$', api_views.validate_password, name='a2-api-validate-password'),
    url(r'^address-autocomplete/$', api_views.address_autocomplete, name='a2-api-address-autocomplete'),
]

urlpatterns += api_views.router.urls
