# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from authentic2.decorators import GlobalCache


@GlobalCache(timeout=60)
def get_entity_ids():
    from .models import LibertyProvider

    return LibertyProvider.objects.values_list('entity_id', flat=True)


@GlobalCache(timeout=60)
def saml_good_next_url(next_url):
    from authentic2.utils import same_origin

    entity_ids = get_entity_ids()
    for entity_id in entity_ids:
        if same_origin(entity_id, next_url):
            return True
    return None


