# authentic2 - versatile identity manager
# Copyright (C) 2010-2020 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import unicode_literals

import pytest

from django.core.exceptions import ValidationError

from authentic2.attribute_kinds import PhoneNumberField


def test_phonenumber_field():
    field = PhoneNumberField()

    # positive
    for value in [
            '01 01 01 01 01',
            '+01 01 01 01 01',
            ' + 01/01.01-01.01',
            '+01/01.01-01.01']:
        field.clean(value)

    # negative
    for value in ['01a01']:
        with pytest.raises(ValidationError):
            field.clean(value)
