# -*- coding: utf-8 -*-
# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import unicode_literals

import pytest

from authentic2.models import Attribute
from authentic2.custom_user.models import User


def test_attribute_disabled(db):
    attribute = Attribute.all_objects.create(name='test', label='test', kind='string')
    user = User.objects.create()
    user.attributes.test = 'abcd'

    assert user.to_json()['test'] == 'abcd'
    attribute.disabled = True
    attribute.save()
    assert 'test' not in user.to_json()

    with pytest.raises(AttributeError):
        assert user.attributes.test == 'abcd'

    with pytest.raises(AttributeError):
        user.attributes.test = '1234'
