# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import unicode_literals

import pytest

from django.utils import six

from authentic2.utils.lazy import lazy_join


def test_lazy_join():
    assert lazy_join(', ', ['\xe9']) == '\xe9'
    assert lazy_join(', ', ['\xe9'] * 2) == '\xe9, \xe9'
    if six.PY2:
        assert lazy_join(b', ', ['\xe9']) == '\xe9'
        assert lazy_join(b', ', ['\xe9'] * 2) == '\xe9, \xe9'
        with pytest.raises(UnicodeDecodeError):
            assert lazy_join(b', ', [b'\xe9']) == ''
        with pytest.raises(UnicodeDecodeError):
            assert lazy_join(b', ', [b'\xe9'] * 2) == ''
        with pytest.raises(UnicodeDecodeError):
            assert lazy_join(', ', [b'\xe9']) == ''
        with pytest.raises(UnicodeDecodeError):
            assert lazy_join(', ', [b'\xe9'] * 2) == ''
